The Joomla! Forum ™



Forum rules


Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.



Post new topic Reply to topic  [ 43 posts ]  Go to page 1, 2  Next
Author Message
PostPosted: Fri Aug 05, 2011 8:04 am 
Joomla! Enthusiast
Joomla! Enthusiast

Joined: Fri Nov 07, 2008 12:51 pm
Posts: 189
I have a strange problem that i can figure out. i installed 1.7 and it worked fine on xampp 1.7.3 with no problems at all. worked with it for a few days. then i did a reinstall on 1.7 worked fine aswell.

but all of a sudden i cant save anything.. making an article cant save it. global settings cant save. move module positions cant save either.

i dont get any error reports or nothing. button just wont react. if i click the cansel button i go back one step. i can move around in controlpanel go to articles , categories ect.. but when i work in article and then try to save wont work.. i cancel i goes back .. cant move modules nothing..

"only diffirence with this install from the other is that i had 1.5 installed aswell dont know why that should matter. in xampp i had 1 joomla folder and one joomla17 folder" just bringing it up and i havent tried to install joomla 1.5 and then 1.7 aswell at the same time, will do that later when i get home.

i tried running xampp 1.7.2 aswell and same problem.
any suggestions?


Top
 Profile  
 
PostPosted: Fri Aug 05, 2011 8:23 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Wed Feb 04, 2009 8:09 pm
Posts: 48
I have the same problem. I installed the latest wampserver 2.1e on a Windows XP 32bit and installed Joomla 1.7. During install I got no errors what so ever. I changed the wampserver settings to get all "green" on the Joomla requirements before installation.

Also when I want to change the timezone I can't save the settings. Also below in IE8 the status is "Done with error on page." It's a fresh Joomla installation.

Any help is welcome. I'm thinking of creating a complete new website with Joomla 1.7 and the latest kunena forum. But it doesn't start well...

Edit: Just noted this post which I think is the same problem: viewtopic.php?f=622&t=633570


Top
 Profile  
 
PostPosted: Fri Aug 05, 2011 11:38 am 
Joomla! Enthusiast
Joomla! Enthusiast

Joined: Fri Nov 07, 2008 12:51 pm
Posts: 189
the only thing i can remeber doing after the fresh install is that i instaled adaware,, can it do something to joomla? block som scripts, popup, or whatever?

*edit

well after testing around a bit i unisntalled adaware and now it works as it should. for some reason it blocked something for me and i couldnt use the save function.. or the popup when trying to change the position of a module for example.

solved by uninstalling Lavasofts adaware..


Top
 Profile  
 
PostPosted: Sat Aug 06, 2011 11:55 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Sat Aug 06, 2011 10:48 am
Posts: 7
I have the same problem. I just installed 1.7 and I cannot save any changes. I am new to joomla so I am not sure where to go to try fixes. I am doing my configurations on my host, could my local browser have any affect?. I am running IE 9 on a Windows 7 64 bit system.

Jim


Top
 Profile  
 
PostPosted: Sat Aug 06, 2011 1:43 pm 
Joomla! Enthusiast
Joomla! Enthusiast

Joined: Fri Nov 07, 2008 12:51 pm
Posts: 189
Jim_Palik wrote:
I have the same problem. I just installed 1.7 and I cannot save any changes. I am new to joomla so I am not sure where to go to try fixes. I am doing my configurations on my host, could my local browser have any affect?. I am running IE 9 on a Windows 7 64 bit system.

Jim


dont think its a browser issue, but try chrome or firefox and see if it helps.


Top
 Profile  
 
PostPosted: Sat Aug 06, 2011 2:15 pm 
Joomla! Fledgling
Joomla! Fledgling

Joined: Sat Aug 06, 2011 2:02 pm
Posts: 3
I have the same problem. Installed 1.7.0 (downloaded a couple of days ago). Installed with no errors on a linux host with versions of Apache, PHP and MySQL which meet all the minimum requirements.

It is impossible to add users or to save changes to global settings. No error messages appear. The Save buttons just do nothing. I have tried reinstalling but this has no effect.


Top
 Profile  
 
PostPosted: Sun Aug 07, 2011 4:44 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Sat Aug 06, 2011 10:48 am
Posts: 7
I just loaded Firefox and my save problems have all disapeared. I was running Internet Explorer 9 and could not save anything. With Firefox the save problem has gone away. I would like to know which browser and version the others that could not save were running.

Jim


Top
 Profile  
 
PostPosted: Sun Aug 07, 2011 1:09 pm 
Joomla! Fledgling
Joomla! Fledgling

Joined: Sat Aug 06, 2011 2:02 pm
Posts: 3
IE 8.


Top
 Profile  
 
PostPosted: Mon Aug 08, 2011 6:46 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Fri Jul 08, 2011 8:37 am
Posts: 9
Akar .. IE 9 / 8 has a compatability setting, this can be disabled.. however best to just use firefox or something and all will be well.


Top
 Profile  
 
PostPosted: Mon Aug 08, 2011 9:17 am 
Joomla! Fledgling
Joomla! Fledgling

Joined: Sat Aug 06, 2011 2:02 pm
Posts: 3
I have abandoned v1.7. I'm not going to use software that is browser dependent or requires browser configuration. Version 1.5.63 works fine so that's what I will use.


Top
 Profile  
 
PostPosted: Mon Aug 08, 2011 9:19 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Wed Feb 04, 2009 8:09 pm
Posts: 48
I'm using IE8 and tried the compatibility view (tools->compatibility view) but with no luck.
Anyway, if Joomla can't run properly with IE8 or 9 then it's useless for me. Others need to use it to, and most use IE.

I would find it strange that Joomla would not work with the most used internet program.

@Stevejarvis: I guess you have a point, if it realy is browser dependent. I would love to see some dev's answer in this topic. Still no word from the experts?

EDIT: Before someone asks, localhost is added to the thrusted websites in IE.
Also, apperently on every config page where you can save things, like create a new user, change settings, etc... The page is loaded with an error in IE.


Top
 Profile  
 
PostPosted: Tue Aug 09, 2011 9:30 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Wed Feb 04, 2009 8:09 pm
Posts: 48
I made another post in this thread: viewtopic.php?f=622&t=633570&p=2581098#p2581098

Suggest we al continue there, no need for multiple posts about the same


Top
 Profile  
 
PostPosted: Thu Aug 11, 2011 9:07 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Sun Sep 20, 2009 6:51 am
Posts: 47
HI,

I cant be browser dependat as 85% of out visitors use IE and the rest use FF.

So to inform people use FF is not an option, its not just me using the site

Eddie


Top
 Profile  
 
PostPosted: Thu Aug 11, 2011 9:56 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Sun Sep 20, 2009 6:51 am
Posts: 47
Hi,

Thanks for the reply.

Its the other users who will be using to update the site who will be all using different browsers.

I provide the site and should not be telling the audience that uses my site what they have to install. Joomla should be browser compatible like any other software you get.

Eddie

;D


Top
 Profile  
 
PostPosted: Thu Aug 11, 2011 10:00 pm 
User avatar
Joomla! Master
Joomla! Master
Online

Joined: Sat Apr 05, 2008 9:58 pm
Posts: 25348
Location: @Webdongle
Are you using a standard Template ? The Template overrides of some Templates interfere with the saving of Articles.


You could try a 3rd party editor ?

There are some issues with IE9 see http://joomlacode.org/gf/project/joomla ... m_id=26448

_________________
'When I'm right nobody remembers when I'm wrong nobody forgets.'

http://weblinksonline.co.uk/joomla-faq.html
http://www.weblinksonline.co.uk/updating-joomla.html


Top
 Profile  
 
PostPosted: Fri Aug 12, 2011 9:08 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Wed Feb 04, 2009 8:09 pm
Posts: 48
@Webdongle, I'm using a clean install, I didn't do anything else what so ever with the Joomla installation. So it's a 100% clean install. I'm using IE8.

You'll find more info in this thread: viewtopic.php?f=622&t=633570&p=2581098#p2581098

So seeing on that project link you posted, we have to wait for Joomla to bring out a patch?


Top
 Profile  
 
PostPosted: Fri Aug 12, 2011 9:26 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Sun Sep 20, 2009 6:51 am
Posts: 47
Webdongle wrote:
Are you using a standard Template ? The Template overrides of some Templates interfere with the saving of Articles.


You could try a 3rd party editor ?

There are some issues with IE9 see http://joomlacode.org/gf/project/joomla ... m_id=26448



Hi,

I am using standard template.

I am using a 3rd party editor (JCK) and it makes no difference.

Eddie


Top
 Profile  
 
PostPosted: Fri Aug 12, 2011 3:28 pm 
User avatar
Joomla! Master
Joomla! Master
Online

Joined: Sat Apr 05, 2008 9:58 pm
Posts: 25348
Location: @Webdongle
Kibosh wrote:
....

So seeing on that project link you posted, we have to wait for Joomla to bring out a patch?

Unless you apply the patch yourself.
Here are the two files (after the patch is applied) from
/media/system/js

_________________
'When I'm right nobody remembers when I'm wrong nobody forgets.'

http://weblinksonline.co.uk/joomla-faq.html
http://www.weblinksonline.co.uk/updating-joomla.html


Top
 Profile  
 
PostPosted: Fri Aug 19, 2011 7:55 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Wed Feb 04, 2009 8:09 pm
Posts: 48
Thx Webdongle,

It seems to work now, just a small question about where to install the files.
I replaced them both in the folder: "media\system\js\" with the ones you've uploaded.

But when I did a search I also found a file named "validate.js" in the folder: "media\editors\tinymce\jscripts\tiny_mce\utils\", should I also replace this file? I think not, but just to be sure I did it correctly.


Top
 Profile  
 
PostPosted: Fri Aug 19, 2011 4:14 pm 
User avatar
Joomla! Master
Joomla! Master
Online

Joined: Sat Apr 05, 2008 9:58 pm
Posts: 25348
Location: @Webdongle
If you go to the Tracker and download the patch, then open it up in a plain text editor. You will see which file(s) is being replaced
Quote:
--- media/system/js/validate.js (revision 21906)
+++ media/system/js/validate.js (working copy)

....

--- media/system/js/validate-uncompressed.js (revision 21906)
+++ media/system/js/validate-uncompressed.js (working copy)
Basically it is saying to delete the file and replace with changed file( of the same name).

Tinymce is not a Joomla core file so I doubt it would ever have a patch in a Tracker (except when Tinymce fix a bug and then a patch to install the new version of Tinymce is added. Not just a few of it's files).

_________________
'When I'm right nobody remembers when I'm wrong nobody forgets.'

http://weblinksonline.co.uk/joomla-faq.html
http://www.weblinksonline.co.uk/updating-joomla.html


Top
 Profile  
 
PostPosted: Sat Aug 20, 2011 1:24 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Thu Mar 17, 2011 11:25 am
Posts: 11
patch not working in full.

It works when you hit cancell in the global settings and the save and close button but does not work all thetime when you push the save button you get the above error.

This is with a clean instal




Webpage error details

User Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.1; Trident/5.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; InfoPath.3; Tablet PC 2.0; .NET4.0E)
Timestamp: Sat, 20 Aug 2011 13:23:03 UTC


Message: Unable to get value of the property 'isValid': object is null or undefined
Line: 259
Char: 3
Code: 0
URI: /administrator/index.php?option=com_config


suggestions


Top
 Profile  
 
PostPosted: Sat Aug 20, 2011 4:51 pm 
User avatar
Joomla! Master
Joomla! Master
Online

Joined: Sat Apr 05, 2008 9:58 pm
Posts: 25348
Location: @Webdongle
@etazac
That seems to be a separate error. Replace the parched files with the originals and see what happens.

Is it localhost or remote server ?

In Site >> System information ... what is the 'WebServer to PHP Interface' ?

_________________
'When I'm right nobody remembers when I'm wrong nobody forgets.'

http://weblinksonline.co.uk/joomla-faq.html
http://www.weblinksonline.co.uk/updating-joomla.html


Top
 Profile  
 
PostPosted: Sat Aug 20, 2011 6:52 pm 
Joomla! Enthusiast
Joomla! Enthusiast

Joined: Fri Nov 07, 2008 12:51 pm
Posts: 189
did install 1.7 again cause i wante dto try one thing.. and now i am back to same problem.. from what i can see its something to do with the browsers preventing popup.. i try to enable and allow the site t use popup but it wont accept. on my testsite online everything works.. but on localhost.. wont work with IE or Chrome now. works with firefox a bit.. but why is it like this? anyone really know why this happens .. why does the save function stop?


Top
 Profile  
 
PostPosted: Sun Aug 21, 2011 6:55 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Wed Feb 04, 2009 8:09 pm
Posts: 48
Did you get all "greens" when Joomla checks the php settings? I'm using wampserver 2.1 (which is free) for my local test machine. When you use this there are 2 items that you need to change to get all "greens" (very easy in wamp).

For me it's working with IE8 and Firefox after applying the patch from this post. It also works on the actual hosted site online. Same for another test server running on a NAS.

Maybe try wampserver 2.1?


Top
 Profile  
 
PostPosted: Sun Aug 21, 2011 7:34 am 
Joomla! Enthusiast
Joomla! Enthusiast

Joined: Fri Nov 07, 2008 12:51 pm
Posts: 189
i get all green except one cant remember exact wich one it is now.. i will look in to it .. i try the patch when i get home and sit in front of the PC still at work atm..

i use 3 browsers but mainly Chrome " had some issues with IE9 and akeeba so i switched"
chrome IE and FF

on my livesite it works.. but it would be nice to be able to do some work localhost aswell ..

perhaps they will fix this issue with 1.8

Using XAMPP 1.7.3


Top
 Profile  
 
PostPosted: Sun Aug 21, 2011 3:16 pm 
User avatar
Joomla! Master
Joomla! Master
Online

Joined: Sat Apr 05, 2008 9:58 pm
Posts: 25348
Location: @Webdongle
Akarr wrote:
....

Using XAMPP 1.7.3

1.7.4 would be better.

_________________
'When I'm right nobody remembers when I'm wrong nobody forgets.'

http://weblinksonline.co.uk/joomla-faq.html
http://www.weblinksonline.co.uk/updating-joomla.html


Top
 Profile  
 
PostPosted: Sun Aug 21, 2011 9:03 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Fri Nov 02, 2007 9:54 pm
Posts: 16
Webdongle wrote:
Kibosh wrote:
....

So seeing on that project link you posted, we have to wait for Joomla to bring out a patch?

Unless you apply the patch yourself.
Here are the two files (after the patch is applied) from
/media/system/js


Hi,
I had same problem and your files works fine!
Thanks!


Top
 Profile  
 
PostPosted: Fri Sep 02, 2011 7:52 pm 
Joomla! Fledgling
Joomla! Fledgling

Joined: Fri Sep 02, 2011 7:46 pm
Posts: 1
where can I find the files.

thanx


Top
 Profile  
 
PostPosted: Fri Sep 09, 2011 2:01 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Fri Jun 06, 2008 8:18 pm
Posts: 6
I need these files too, unless there is a better answer at this point. I installed a fresh 1.7 into a new database on the web server, running cpanel.

Right aways I tried to add a user, or modify the configuration and the page just sits there and does nothing.


Top
 Profile  
 
PostPosted: Mon Sep 19, 2011 2:34 pm 
Joomla! Fledgling
Joomla! Fledgling

Joined: Mon Sep 19, 2011 2:26 pm
Posts: 2
I too just installed 1.7 and also have the same problem.
Where is it you can find those files???
Help is very welcome.... :(


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 43 posts ]  Go to page 1, 2  Next



Who is online

Users browsing this forum: No registered users and 15 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Jump to:  
Powered by phpBB® Forum Software © phpBB Group